Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRDesignChart

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseElement
          net.sf.jasperreports.engine.design.JRDesignElement
              net.sf.jasperreports.engine.design.JRDesignChart

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRAnchor, JRBox, JRBoxContainer, JRChart, JRChild, JRCloneable, JRCommonElement, JRElement, JRHyperlink, JRPropertiesHolder, JRStyleContainer, JRVisitable

    public class JRDesignChart

extends JRDesignElement
implements JRChart

Version:
  $Id: JRDesignChart.java 3941 2010-08-20 10:55:10Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRExpression` | `anchorNameExpression`
`protected int` | `bookmarkLevel` The bookmark level for the anchor associated with this chart.
`protected byte` | `chartType`
`protected java.lang.String` | `customizerClass`
`protected JRChartDataset` | `dataset`
`protected JRGroup` | `evaluationGroup`
`protected EvaluationTimeEnum` | `evaluationTimeValue`
`protected JRExpression` | `hyperlinkAnchorExpression`
`protected JRExpression` | `hyperlinkPageExpression`
`protected JRExpression` | `hyperlinkReferenceExpression`
`protected java.awt.Color` | `legendBackgroundColor`
`protected java.awt.Color` | `legendColor`
`protected JRFont` | `legendFont`
`protected EdgeEnum` | `legendPositionValue`
`protected JRLineBox` | `lineBox`
`protected java.lang.String` | `linkTarget`
`protected java.lang.String` | `linkType`
`protected JRChartPlot` | `plot`
`static java.lang.String` | `PROPERTY_ANCHOR_NAME_EXPRESSION`
`static java.lang.String` | `PROPERTY_BOOKMARK_LEVEL`
`static java.lang.String` | `PROPERTY_CHART_TYPE`
`static java.lang.String` | `PROPERTY_CUSTOMIZER_CLASS`
`static java.lang.String` | `PROPERTY_DATASET`
`static java.lang.String` | `PROPERTY_EVALUATION_GROUP`
`static java.lang.String` | `PROPERTY_EVALUATION_TIME`
`static java.lang.String` | `PROPERTY_LEGEND_FONT`
`static java.lang.String` | `PROPERTY_SUBTITLE_EXPRESSION`
`static java.lang.String` | `PROPERTY_SUBTITLE_FONT`
`static java.lang.String` | `PROPERTY_TITLE_EXPRESSION`
`static java.lang.String` | `PROPERTY_TITLE_FONT`
`protected java.lang.String` | `renderType`
`protected java.lang.Boolean` | `showLegend`
`protected java.awt.Color` | `subtitleColor`
`protected JRExpression` | `subtitleExpression`
`protected JRFont` | `subtitleFont`
`protected java.lang.String` | `theme`
`protected java.awt.Color` | `titleColor`
`protected JRExpression` | `titleExpression`
`protected JRFont` | `titleFont`
`protected EdgeEnum` | `titlePositionValue`

Fields inherited from class net.sf.jasperreports.engine.design.JRDesignElement
`PROPERTY_ELEMENT_GROUP, PROPERTY_HEIGHT, PROPERTY_KEY, PROPERTY_PARENT_STYLE, PROPERTY_PARENT_STYLE_NAME_REFERENCE, PROPERTY_PRINT_WHEN_EXPRESSION, PROPERTY_PRINT_WHEN_GROUP_CHANGES, PROPERTY_PROPERTY_EXPRESSIONS, PROPERTY_Y`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElement
`backcolor, defaultStyleProvider, elementGroup, forecolor, height, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, key, modeValue, parentStyle, parentStyleNameReference, positionTypeValue, printWhenExpression, printWhenGroupChanges, PROPERTY_POSITION_TYPE, PROPERTY_PRINT_IN_FIRST_WHOLE_BAND, PROPERTY_PRINT_REPEATED_VALUES, PROPERTY_PRINT_WHEN_DETAIL_OVERFLOWS, PROPERTY_REMOVE_LINE_WHEN_BLANK, PROPERTY_STRETCH_TYPE, PROPERTY_WIDTH, PROPERTY_X, stretchTypeValue, width, x, y`

Fields inherited from interface net.sf.jasperreports.engine.JRChart
`CHART_TYPE_AREA, CHART_TYPE_BAR, CHART_TYPE_BAR3D, CHART_TYPE_BUBBLE, CHART_TYPE_CANDLESTICK, CHART_TYPE_GANTT, CHART_TYPE_HIGHLOW, CHART_TYPE_LINE, CHART_TYPE_METER, CHART_TYPE_MULTI_AXIS, CHART_TYPE_PIE, CHART_TYPE_PIE3D, CHART_TYPE_SCATTER, CHART_TYPE_STACKEDAREA, CHART_TYPE_STACKEDBAR, CHART_TYPE_STACKEDBAR3D, CHART_TYPE_THERMOMETER, CHART_TYPE_TIMESERIES, CHART_TYPE_XYAREA, CHART_TYPE_XYBAR, CHART_TYPE_XYLINE, EDGE_BOTTOM, EDGE_LEFT, EDGE_RIGHT, EDGE_TOP, PROPERTY_CHART_RENDER_TYPE, PROPERTY_CHART_THEME, RENDER_TYPE_DRAW, RENDER_TYPE_IMAGE, RENDER_TYPE_SVG, TITLE_POSITION_BOTTOM, TITLE_POSITION_LEFT, TITLE_POSITION_RIGHT, TITLE_POSITION_TOP`

Fields inherited from interface net.sf.jasperreports.engine.JRElement
`MODE_OPAQUE, MODE_TRANSPARENT, POSITION_TYPE_FIX_RELATIVE_TO_BOTTOM, POSITION_TYPE_FIX_RELATIVE_TO_TOP, POSITION_TYPE_FLOAT, STRETCH_TYPE_NO_STRETCH, STRETCH_TYPE_RELATIVE_TO_BAND_HEIGHT, STRETCH_TYPE_RELATIVE_TO_TALLEST_OBJECT`

Fields inherited from interface net.sf.jasperreports.engine.JRAnchor
`NO_BOOKMARK`

Fields inherited from interface net.sf.jasperreports.engine.JRHyperlink
`HYPERLINK_TARGET_BLANK, HYPERLINK_TARGET_CUSTOM, HYPERLINK_TARGET_PARENT, HYPERLINK_TARGET_SELF, HYPERLINK_TARGET_TOP, HYPERLINK_TYPE_CUSTOM, HYPERLINK_TYPE_LOCAL_ANCHOR, HYPERLINK_TYPE_LOCAL_PAGE, HYPERLINK_TYPE_NONE, HYPERLINK_TYPE_NULL, HYPERLINK_TYPE_REFERENCE, HYPERLINK_TYPE_REMOTE_ANCHOR, HYPERLINK_TYPE_REMOTE_PAGE`

Constructor Summary
`JRDesignChart(JRDefaultStyleProvider defaultStyleProvider, byte chartType)`

Method Summary
`void` | `addHyperlinkParameter(JRHyperlinkParameter parameter)` Adds a custom hyperlink parameter.
`java.lang.Object` | `clone()`
`void` | `collectExpressions(JRExpressionCollector collector)`
`JRExpression` | `getAnchorNameExpression()` Returns an expression whose value represents the anchor name.
`int` | `getBookmarkLevel()` Returns the level of the bookmark corresponding to the anchor.
`byte` | `getBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getBorderColor()` Deprecated. Replaced by `getBox()`
`byte` | `getBottomBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getBottomBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getBottomPadding()` Deprecated. Replaced by `getBox()`
`JRBox` | `getBox()` Deprecated. Replaced by `getLineBox()`
`byte` | `getChartType()` Gets the chart type.
`java.lang.String` | `getCustomizerClass()` Gets a user specified chart customizer class name.
`JRChartDataset` | `getDataset()` Gets the chart dataset.
`java.awt.Color` | `getDefaultLineColor()`
`JRGroup` | `getEvaluationGroup()` Gets the evaluation group for this chart (only applies when evaluation time is group).
`byte` | `getEvaluationTime()` Deprecated. Replaced by `getEvaluationTimeValue()`.
`EvaluationTimeEnum` | `getEvaluationTimeValue()` Returns the evaluation time for this chart.
`JRExpression` | `getHyperlinkAnchorExpression()` Returns the expression whose value represents the anchor.
`JRExpression` | `getHyperlinkPageExpression()` Returns an integer representing the page index of the link.
`JRHyperlinkParameter[]` | `getHyperlinkParameters()` Returns the list of hyperlink parameters.
`java.util.List` | `getHyperlinkParametersList()` Returns the list of custom hyperlink parameters.
`JRExpression` | `getHyperlinkReferenceExpression()` Returns the expression whose value represents the hyperlink reference.
`byte` | `getHyperlinkTarget()` Retrieves the hyperlink target for the element.
`JRExpression` | `getHyperlinkTooltipExpression()` Returns the expression which will generate the hyperlink tooltip.
`byte` | `getHyperlinkType()` Deprecated. Replaced by `getHyperlinkTypeValue()`.
`HyperlinkTypeEnum` | `getHyperlinkTypeValue()` Retrieves the hyperlink type for the element.
`byte` | `getLeftBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getLeftBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getLeftPadding()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getLegendBackgroundColor()`
`java.awt.Color` | `getLegendColor()`
`JRFont` | `getLegendFont()`
`byte` | `getLegendPosition()` Deprecated. Replaced by `getLegendPositionValue()`
`java.lang.Byte` | `getLegendPositionByte()` Deprecated. Replaced by `getLegendPositionValue()`
`EdgeEnum` | `getLegendPositionValue()`
`JRLineBox` | `getLineBox()`
`java.lang.String` | `getLinkTarget()` Returns the hyperlink target name.
`java.lang.String` | `getLinkType()` Returns the hyperlink type.
`ModeEnum` | `getModeValue()` Returns the element transparency mode.
`java.lang.Byte` | `getOwnBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnBottomBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnBottomBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnBottomPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnLeftBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnLeftBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnLeftPadding()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnLegendBackgroundColor()`
`java.awt.Color` | `getOwnLegendColor()`
`java.lang.Integer` | `getOwnPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnRightBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnRightBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnRightPadding()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnSubtitleColor()`
`java.awt.Color` | `getOwnTitleColor()`
`java.lang.Byte` | `getOwnTopBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnTopBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnTopPadding()` Deprecated. Replaced by `getBox()`
`int` | `getPadding()` Deprecated. Replaced by `getBox()`
`JRChartPlot` | `getPlot()` Gets the chart plot.
`java.lang.String` | `getRenderType()`
`byte` | `getRightBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getRightBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getRightPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Boolean` | `getShowLegend()`
`java.awt.Color` | `getSubtitleColor()`
`JRExpression` | `getSubtitleExpression()` Gets the expression whose evaluation will form the subtitle.
`JRFont` | `getSubtitleFont()`
`java.lang.String` | `getTheme()`
`java.awt.Color` | `getTitleColor()`
`JRExpression` | `getTitleExpression()` Gets the expression whose evaluation will form the title.
`JRFont` | `getTitleFont()`
`byte` | `getTitlePosition()` Deprecated. Replaced by `getTitlePositionValue()`
`java.lang.Byte` | `getTitlePositionByte()` Deprecated. Replaced by `getTitlePositionValue()`
`EdgeEnum` | `getTitlePositionValue()` Gets the title position relative to the chart.
`byte` | `getTopBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getTopBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getTopPadding()` Deprecated. Replaced by `getBox()`
`boolean` | `isShowLegend()` Deprecated. Replaced by `getShowLegend()`
`void` | `removeHyperlinkParameter(JRHyperlinkParameter parameter)` Removes a custom hyperlink parameter.
`void` | `removeHyperlinkParameter(java.lang.String parameterName)` Removes a custom hyperlink parameter.
`void` | `setAnchorNameExpression(JRExpression anchorNameExpression)`
`void` | `setBookmarkLevel(int bookmarkLevel)` Sets the boomark level for the anchor associated with this chart.
`void` | `setBorder(byte border)` Deprecated. Replaced by `getBox()`
`void` | `setBorder(java.lang.Byte border)` Deprecated. Replaced by `getBox()`
`void` | `setBorderColor(java.awt.Color borderColor)` Deprecated. Replaced by `getBox()`
`void` | `setBottomBorder(byte bottomBorder)` Deprecated. Replaced by `getBox()`
`void` | `setBottomBorder(java.lang.Byte bottomBorder)` Deprecated. Replaced by `getBox()`
`void` | `setBottomBorderColor(java.awt.Color bottomBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setBottomPadding(int bottomPadding)` Deprecated. Replaced by `getBox()`
`void` | `setBottomPadding(java.lang.Integer bottomPadding)` Deprecated. Replaced by `getBox()`
`void` | `setBox(JRBox box)` Deprecated. Replaced by `getLineBox()`
`void` | `setChartType(byte chartType)`
`void` | `setCustomizerClass(java.lang.String customizerClass)` Sets a user specified chart customizer class name.
`void` | `setDataset(JRChartDataset ds)`
`void` | `setEvaluationGroup(JRGroup group)`
`void` | `setEvaluationTime(byte evaluationTime)` Deprecated. Replaced by `setEvaluationTime(EvaluationTimeEnum)`.
`void` | `setEvaluationTime(EvaluationTimeEnum evaluationTimeValue)`
`void` | `setHyperlinkAnchorExpression(JRExpression hyperlinkAnchorExpression)`
`void` | `setHyperlinkPageExpression(JRExpression hyperlinkPageExpression)`
`void` | `setHyperlinkReferenceExpression(JRExpression hyperlinkReferenceExpression)`
`void` | `setHyperlinkTarget(byte hyperlinkTarget)` Deprecated. Replaced by `setHyperlinkTarget(HyperlinkTargetEnum)`.
`void` | `setHyperlinkTarget(HyperlinkTargetEnum hyperlinkTarget)`
`void` | `setHyperlinkTooltipExpression(JRExpression hyperlinkTooltipExpression)` Sets the expression which will be used to generate the hyperlink tooltip.
`void` | `setHyperlinkType(byte hyperlinkType)` Deprecated. Replaced by `setHyperlinkType(HyperlinkTypeEnum)`.
`void` | `setHyperlinkType(HyperlinkTypeEnum hyperlinkType)` Sets the link type as a built-in hyperlink type.
`void` | `setLeftBorder(byte leftBorder)` Deprecated. Replaced by `getBox()`
`void` | `setLeftBorder(java.lang.Byte leftBorder)` Deprecated. Replaced by `getBox()`
`void` | `setLeftBorderColor(java.awt.Color leftBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setLeftPadding(int leftPadding)` Deprecated. Replaced by `getBox()`
`void` | `setLeftPadding(java.lang.Integer leftPadding)` Deprecated. Replaced by `getBox()`
`void` | `setLegendBackgroundColor(java.awt.Color legendBackgroundColor)`
`void` | `setLegendColor(java.awt.Color legendColor)`
`void` | `setLegendFont(JRFont legendFont)`
`void` | `setLegendPosition(byte legendPosition)` Deprecated. Replaced by `setLegendPosition(EdgeEnum)`
`void` | `setLegendPosition(java.lang.Byte legendPosition)` Deprecated. Replaced by `setLegendPosition(EdgeEnum)`
`void` | `setLegendPosition(EdgeEnum legendPositionValue)`
`void` | `setLinkTarget(java.lang.String target)` Sets the hyperlink target.
`void` | `setLinkType(java.lang.String type)` Sets the hyperlink type.
`void` | `setPadding(int padding)` Deprecated. Replaced by `getBox()`
`void` | `setPadding(java.lang.Integer padding)` Deprecated. Replaced by `getBox()`
`void` | `setRenderType(java.lang.String renderType)`
`void` | `setRightBorder(byte rightBorder)` Deprecated. Replaced by `getBox()`
`void` | `setRightBorder(java.lang.Byte rightBorder)` Deprecated. Replaced by `getBox()`
`void` | `setRightBorderColor(java.awt.Color rightBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setRightPadding(int rightPadding)` Deprecated. Replaced by `getBox()`
`void` | `setRightPadding(java.lang.Integer rightPadding)` Deprecated. Replaced by `getBox()`
`void` | `setShowLegend(boolean isShowLegend)` Deprecated. Replaced by `setShowLegend(Boolean)`
`void` | `setShowLegend(java.lang.Boolean isShowLegend)`
`void` | `setSubtitleColor(java.awt.Color subtitleColor)`
`void` | `setSubtitleExpression(JRExpression expression)`
`void` | `setSubtitleFont(JRFont font)`
`void` | `setTheme(java.lang.String theme)`
`void` | `setTitleColor(java.awt.Color titleColor)`
`void` | `setTitleExpression(JRExpression expression)`
`void` | `setTitleFont(JRFont font)`
`void` | `setTitlePosition(byte titlePosition)` Deprecated. Replaced by `setTitlePosition(EdgeEnum)`
`void` | `setTitlePosition(java.lang.Byte titlePosition)` Deprecated. Replaced by `setTitlePosition(EdgeEnum)`
`void` | `setTitlePosition(EdgeEnum titlePositionValue)` Sets the title position relative to the chart.
`void` | `setTopBorder(byte topBorder)` Deprecated. Replaced by `getBox()`
`void` | `setTopBorder(java.lang.Byte topBorder)` Deprecated. Replaced by `getBox()`
`void` | `setTopBorderColor(java.awt.Color topBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setTopPadding(int topPadding)` Deprecated. Replaced by `getBox()`
`void` | `setTopPadding(java.lang.Integer topPadding)` Deprecated. Replaced by `getBox()`
`void` | `visit(JRVisitor visitor)`

Methods inherited from class net.sf.jasperreports.engine.design.JRDesignElement
`addPropertyExpression, getPropertyExpressions, getPropertyExpressionsList, removePropertyExpression, removePropertyExpression, setElementGroup, setHeight, setKey, setPrintWhenExpression, setPrintWhenGroupChanges, setStyle, setStyleNameReference, setY`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElement
`clone, getBackcolor, getBaseStyle, getDefaultStyleProvider, getElementGroup, getEventSupport, getForecolor, getHeight, getKey, getMode, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getParentProperties, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getStretchType, getStretchTypeValue, getStyle, getStyleNameReference, getWidth, getX, getY, hasProperties, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setBackcolor, setForecolor, setMode, setMode, setMode, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setStretchType, setWidth, setX`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRElement
`getElementGroup, getKey, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchType, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setStretchType, setWidth, setX`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getHeight, getMode, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Field Detail

### PROPERTY_ANCHOR_NAME_EXPRESSION

    public static final java.lang.String PROPERTY_ANCHOR_NAME_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_BOOKMARK_LEVEL

    public static final java.lang.String PROPERTY_BOOKMARK_LEVEL

See Also:
  Constant Field Values

### PROPERTY_EVALUATION_GROUP

    public static final java.lang.String PROPERTY_EVALUATION_GROUP

See Also:
  Constant Field Values

### PROPERTY_EVALUATION_TIME

    public static final java.lang.String PROPERTY_EVALUATION_TIME

See Also:
  Constant Field Values

### PROPERTY_CHART_TYPE

    public static final java.lang.String PROPERTY_CHART_TYPE

See Also:
  Constant Field Values

### PROPERTY_CUSTOMIZER_CLASS

    public static final java.lang.String PROPERTY_CUSTOMIZER_CLASS

See Also:
  Constant Field Values

### PROPERTY_DATASET

    public static final java.lang.String PROPERTY_DATASET

See Also:
  Constant Field Values

### PROPERTY_LEGEND_FONT

    public static final java.lang.String PROPERTY_LEGEND_FONT

See Also:
  Constant Field Values

### PROPERTY_SUBTITLE_EXPRESSION

    public static final java.lang.String PROPERTY_SUBTITLE_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_SUBTITLE_FONT

    public static final java.lang.String PROPERTY_SUBTITLE_FONT

See Also:
  Constant Field Values

### PROPERTY_TITLE_EXPRESSION

    public static final java.lang.String PROPERTY_TITLE_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_TITLE_FONT

    public static final java.lang.String PROPERTY_TITLE_FONT

See Also:
  Constant Field Values

### chartType

    protected byte chartType

### showLegend

    protected java.lang.Boolean showLegend

### evaluationTimeValue

    protected EvaluationTimeEnum evaluationTimeValue

### linkType

    protected java.lang.String linkType

### linkTarget

    protected java.lang.String linkTarget

### titleColor

    protected java.awt.Color titleColor

### subtitleColor

    protected java.awt.Color subtitleColor

### legendColor

    protected java.awt.Color legendColor

### legendBackgroundColor

    protected java.awt.Color legendBackgroundColor

### renderType

    protected java.lang.String renderType

### theme

    protected java.lang.String theme

### titleFont

    protected JRFont titleFont

### subtitleFont

    protected JRFont subtitleFont

### legendFont

    protected JRFont legendFont

### legendPositionValue

    protected EdgeEnum legendPositionValue

### titlePositionValue

    protected EdgeEnum titlePositionValue

### customizerClass

    protected java.lang.String customizerClass

### evaluationGroup

    protected JRGroup evaluationGroup

### titleExpression

    protected JRExpression titleExpression

### subtitleExpression

    protected JRExpression subtitleExpression

### anchorNameExpression

    protected JRExpression anchorNameExpression

### hyperlinkReferenceExpression

    protected JRExpression hyperlinkReferenceExpression

### hyperlinkAnchorExpression

    protected JRExpression hyperlinkAnchorExpression

### hyperlinkPageExpression

    protected JRExpression hyperlinkPageExpression

### dataset

    protected JRChartDataset dataset

### plot

    protected JRChartPlot plot

### lineBox

    protected JRLineBox lineBox

### bookmarkLevel

    protected int bookmarkLevel

  The bookmark level for the anchor associated with this chart.

  See Also:
    `JRAnchor.getBookmarkLevel()`

Constructor Detail

### JRDesignChart

    public JRDesignChart(JRDefaultStyleProvider defaultStyleProvider,
                         byte chartType)

Method Detail

### isShowLegend

    public boolean isShowLegend()

  Deprecated. Replaced by `getShowLegend()`

  Specified by:
    `isShowLegend` in interface `JRChart`

### setShowLegend

    public void setShowLegend(boolean isShowLegend)

  Deprecated. Replaced by `setShowLegend(Boolean)`

  Specified by:
    `setShowLegend` in interface `JRChart`

### getShowLegend

    public java.lang.Boolean getShowLegend()

  Specified by:
    `getShowLegend` in interface `JRChart`

### setShowLegend

    public void setShowLegend(java.lang.Boolean isShowLegend)

  Specified by:
    `setShowLegend` in interface `JRChart`

### getRenderType

    public java.lang.String getRenderType()

  Specified by:
    `getRenderType` in interface `JRChart`

### setRenderType

    public void setRenderType(java.lang.String renderType)

  Specified by:
    `setRenderType` in interface `JRChart`

### getTheme

    public java.lang.String getTheme()

  Specified by:
    `getTheme` in interface `JRChart`

### setTheme

    public void setTheme(java.lang.String theme)

  Specified by:
    `setTheme` in interface `JRChart`

### getEvaluationTime

    public byte getEvaluationTime()

  Deprecated. Replaced by `getEvaluationTimeValue()`.

  Specified by:
    `getEvaluationTime` in interface `JRChart`

### getEvaluationTimeValue

    public EvaluationTimeEnum getEvaluationTimeValue()

  Description copied from interface: `JRChart`
  Returns the evaluation time for this chart.

  Specified by:
    `getEvaluationTimeValue` in interface `JRChart`

### setEvaluationTime

    public void setEvaluationTime(byte evaluationTime)

  Deprecated. Replaced by `setEvaluationTime(EvaluationTimeEnum)`.

### setEvaluationTime

    public void setEvaluationTime(EvaluationTimeEnum evaluationTimeValue)

### getEvaluationGroup

    public JRGroup getEvaluationGroup()

  Description copied from interface: `JRChart`
  Gets the evaluation group for this chart (only applies when evaluation time is group).

  Specified by:
    `getEvaluationGroup` in interface `JRChart`

### setEvaluationGroup

    public void setEvaluationGroup(JRGroup group)

### getBox

    public JRBox getBox()

  Deprecated. Replaced by `getLineBox()`

  Description copied from interface: `JRChart`
  Gets the box around the element.

  Specified by:
    `getBox` in interface `JRChart`

### getLineBox

    public JRLineBox getLineBox()

  Specified by:
    `getLineBox` in interface `JRBoxContainer`

### setBox

    public void setBox(JRBox box)

  Deprecated. Replaced by `getLineBox()`

### getTitleFont

    public JRFont getTitleFont()

  Specified by:
    `getTitleFont` in interface `JRChart`

### setTitleFont

    public void setTitleFont(JRFont font)

### getTitlePosition

    public byte getTitlePosition()

  Deprecated. Replaced by `getTitlePositionValue()`

  Specified by:
    `getTitlePosition` in interface `JRChart`

### setTitlePosition

    public void setTitlePosition(byte titlePosition)

  Deprecated. Replaced by `setTitlePosition(EdgeEnum)`

  Specified by:
    `setTitlePosition` in interface `JRChart`

### getTitlePositionByte

    public java.lang.Byte getTitlePositionByte()

  Deprecated. Replaced by `getTitlePositionValue()`

  Specified by:
    `getTitlePositionByte` in interface `JRChart`

### setTitlePosition

    public void setTitlePosition(java.lang.Byte titlePosition)

  Deprecated. Replaced by `setTitlePosition(EdgeEnum)`

  Specified by:
    `setTitlePosition` in interface `JRChart`

### getTitlePositionValue

    public EdgeEnum getTitlePositionValue()

  Description copied from interface: `JRChart`
  Gets the title position relative to the chart.

  Specified by:
    `getTitlePositionValue` in interface `JRChart`

### setTitlePosition

    public void setTitlePosition(EdgeEnum titlePositionValue)

  Description copied from interface: `JRChart`
  Sets the title position relative to the chart.

  Specified by:
    `setTitlePosition` in interface `JRChart`

### getTitleColor

    public java.awt.Color getTitleColor()

  Specified by:
    `getTitleColor` in interface `JRChart`

### getOwnTitleColor

    public java.awt.Color getOwnTitleColor()

  Specified by:
    `getOwnTitleColor` in interface `JRChart`

### setTitleColor

    public void setTitleColor(java.awt.Color titleColor)

  Specified by:
    `setTitleColor` in interface `JRChart`

### getSubtitleFont

    public JRFont getSubtitleFont()

  Specified by:
    `getSubtitleFont` in interface `JRChart`

### setSubtitleFont

    public void setSubtitleFont(JRFont font)

### getSubtitleColor

    public java.awt.Color getSubtitleColor()

  Specified by:
    `getSubtitleColor` in interface `JRChart`

### getOwnSubtitleColor

    public java.awt.Color getOwnSubtitleColor()

  Specified by:
    `getOwnSubtitleColor` in interface `JRChart`

### setSubtitleColor

    public void setSubtitleColor(java.awt.Color subtitleColor)

  Specified by:
    `setSubtitleColor` in interface `JRChart`

### getOwnLegendColor

    public java.awt.Color getOwnLegendColor()

  Specified by:
    `getOwnLegendColor` in interface `JRChart`

### getLegendColor

    public java.awt.Color getLegendColor()

  Specified by:
    `getLegendColor` in interface `JRChart`

### setLegendColor

    public void setLegendColor(java.awt.Color legendColor)

  Specified by:
    `setLegendColor` in interface `JRChart`

### getOwnLegendBackgroundColor

    public java.awt.Color getOwnLegendBackgroundColor()

  Specified by:
    `getOwnLegendBackgroundColor` in interface `JRChart`

### getLegendBackgroundColor

    public java.awt.Color getLegendBackgroundColor()

  Specified by:
    `getLegendBackgroundColor` in interface `JRChart`

### setLegendBackgroundColor

    public void setLegendBackgroundColor(java.awt.Color legendBackgroundColor)

  Specified by:
    `setLegendBackgroundColor` in interface `JRChart`

### getLegendFont

    public JRFont getLegendFont()

  Specified by:
    `getLegendFont` in interface `JRChart`

### setLegendFont

    public void setLegendFont(JRFont legendFont)

### getLegendPosition

    public byte getLegendPosition()

  Deprecated. Replaced by `getLegendPositionValue()`

  Specified by:
    `getLegendPosition` in interface `JRChart`

### setLegendPosition

    public void setLegendPosition(byte legendPosition)

  Deprecated. Replaced by `setLegendPosition(EdgeEnum)`

  Specified by:
    `setLegendPosition` in interface `JRChart`

### getLegendPositionByte

    public java.lang.Byte getLegendPositionByte()

  Deprecated. Replaced by `getLegendPositionValue()`

  Specified by:
    `getLegendPositionByte` in interface `JRChart`

### setLegendPosition

    public void setLegendPosition(java.lang.Byte legendPosition)

  Deprecated. Replaced by `setLegendPosition(EdgeEnum)`

  Specified by:
    `setLegendPosition` in interface `JRChart`

### getLegendPositionValue

    public EdgeEnum getLegendPositionValue()

  Specified by:
    `getLegendPositionValue` in interface `JRChart`

### setLegendPosition

    public void setLegendPosition(EdgeEnum legendPositionValue)

  Specified by:
    `setLegendPosition` in interface `JRChart`

### getHyperlinkType

    public byte getHyperlinkType()

  Deprecated. Replaced by `getHyperlinkTypeValue()`.

  Specified by:
    `getHyperlinkType` in interface `JRHyperlink`

### getHyperlinkTypeValue

    public HyperlinkTypeEnum getHyperlinkTypeValue()

  Description copied from interface: `JRHyperlink`
  Retrieves the hyperlink type for the element.

  The actual hyperlink type is determined by `getLinkType()`. This method can is used to determine whether the hyperlink type is one of the built-in types or a custom type. When hyperlink is of custom type, `CUSTOM` is returned.

  Specified by:
    `getHyperlinkTypeValue` in interface `JRHyperlink`
  Returns:
    one of the hyperlink type constants
  See Also:
    `JRHyperlink.getLinkType()`

### setHyperlinkType

    public void setHyperlinkType(byte hyperlinkType)

  Deprecated. Replaced by `setHyperlinkType(HyperlinkTypeEnum)`.

### setHyperlinkType

    public void setHyperlinkType(HyperlinkTypeEnum hyperlinkType)

  Sets the link type as a built-in hyperlink type.

  Parameters:
    `hyperlinkType` - the built-in hyperlink type
  See Also:
    `getLinkType()`

### getHyperlinkTarget

    public byte getHyperlinkTarget()

  Description copied from interface: `JRHyperlink`
  Retrieves the hyperlink target for the element.

  The actual hyperlink target is determined by `getLinkTarget()`. This method can is used to determine whether the hyperlink target is one of the built-in target names or a custom one. When hyperlink has a custom target name, `HYPERLINK_TYPE_CUSTOM` is returned.

  Specified by:
    `getHyperlinkTarget` in interface `JRHyperlink`
  Returns:
    one of the hyperlink target constants
  See Also:
    `JRHyperlink.getLinkTarget()`

### setHyperlinkTarget

    public void setHyperlinkTarget(byte hyperlinkTarget)

  Deprecated. Replaced by `setHyperlinkTarget(HyperlinkTargetEnum)`.

### setHyperlinkTarget

    public void setHyperlinkTarget(HyperlinkTargetEnum hyperlinkTarget)

### getTitleExpression

    public JRExpression getTitleExpression()

  Description copied from interface: `JRChart`
  Gets the expression whose evaluation will form the title.

  Specified by:
    `getTitleExpression` in interface `JRChart`

### setTitleExpression

    public void setTitleExpression(JRExpression expression)

### getSubtitleExpression

    public JRExpression getSubtitleExpression()

  Description copied from interface: `JRChart`
  Gets the expression whose evaluation will form the subtitle.

  Specified by:
    `getSubtitleExpression` in interface `JRChart`

### setSubtitleExpression

    public void setSubtitleExpression(JRExpression expression)

### getAnchorNameExpression

    public JRExpression getAnchorNameExpression()

  Description copied from interface: `JRAnchor`
  Returns an expression whose value represents the anchor name.

  Specified by:
    `getAnchorNameExpression` in interface `JRAnchor`

### setAnchorNameExpression

    public void setAnchorNameExpression(JRExpression anchorNameExpression)

### getHyperlinkReferenceExpression

    public JRExpression getHyperlinkReferenceExpression()

  Description copied from interface: `JRHyperlink`
  Returns the expression whose value represents the hyperlink reference. It is only used when the hyperlink type is reference or anchor

  Specified by:
    `getHyperlinkReferenceExpression` in interface `JRHyperlink`

### setHyperlinkReferenceExpression

    public void setHyperlinkReferenceExpression(JRExpression hyperlinkReferenceExpression)

### getHyperlinkAnchorExpression

    public JRExpression getHyperlinkAnchorExpression()

  Description copied from interface: `JRHyperlink`
  Returns the expression whose value represents the anchor. It is only used when the hyperlink type is anchor.

  Specified by:
    `getHyperlinkAnchorExpression` in interface `JRHyperlink`

### setHyperlinkAnchorExpression

    public void setHyperlinkAnchorExpression(JRExpression hyperlinkAnchorExpression)

### getHyperlinkPageExpression

    public JRExpression getHyperlinkPageExpression()

  Description copied from interface: `JRHyperlink`
  Returns an integer representing the page index of the link. It is only used when the hyperlink type is page. If the expression does not evaluate to an integer, an exception will be thrown.

  Specified by:
    `getHyperlinkPageExpression` in interface `JRHyperlink`

### setHyperlinkPageExpression

    public void setHyperlinkPageExpression(JRExpression hyperlinkPageExpression)

### getDataset

    public JRChartDataset getDataset()

  Description copied from interface: `JRChart`
  Gets the chart dataset. Most chart types have different dataset structures, depending on the chart type.

  Specified by:
    `getDataset` in interface `JRChart`

### getPlot

    public JRChartPlot getPlot()

  Description copied from interface: `JRChart`
  Gets the chart plot. Plots are used to define various chart visual properties, such as colors and transparency.

  Specified by:
    `getPlot` in interface `JRChart`

### getChartType

    public byte getChartType()

  Description copied from interface: `JRChart`
  Gets the chart type. It must be one of the chart type constants in this class.

  Specified by:
    `getChartType` in interface `JRChart`

### setChartType

    public void setChartType(byte chartType)

### setDataset

    public void setDataset(JRChartDataset ds)

### collectExpressions

    public void collectExpressions(JRExpressionCollector collector)

  Specified by:
    `collectExpressions` in interface `JRElement`

### visit

    public void visit(JRVisitor visitor)

  Specified by:
    `visit` in interface `JRVisitable`

### getBookmarkLevel

    public int getBookmarkLevel()

  Description copied from interface: `JRAnchor`
  Returns the level of the bookmark corresponding to the anchor.

  Specified by:
    `getBookmarkLevel` in interface `JRAnchor`
  Returns:
    the level of the bookmark corresponding to the anchor (starting from 1) or `NO_BOOKMARK` if no bookmark should be created for this anchor

### setBookmarkLevel

    public void setBookmarkLevel(int bookmarkLevel)

  Sets the boomark level for the anchor associated with this chart.

  Parameters:
    `bookmarkLevel` - the bookmark level (starting from 1) or `NO_BOOKMARK` if no bookmark should be created

### getCustomizerClass

    public java.lang.String getCustomizerClass()

  Description copied from interface: `JRChart`
  Gets a user specified chart customizer class name.

  Specified by:
    `getCustomizerClass` in interface `JRChart`
  See Also:
    `JRChartCustomizer`

### setCustomizerClass

    public void setCustomizerClass(java.lang.String customizerClass)

  Sets a user specified chart customizer class name.

  See Also:
    `JRChartCustomizer`

### getModeValue

    public ModeEnum getModeValue()

  Description copied from interface: `JRCommonElement`
  Returns the element transparency mode. The default value depends on the type of the report element. Graphic elements like rectangles and lines are opaque by default, but the images are transparent. Both static texts and text fields are transparent by default, and so are the subreport elements.

  Specified by:
    `getModeValue` in interface `JRCommonElement`
  Overrides:
    `getModeValue` in class `JRBaseElement`

### getBorder

    public byte getBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBorder` in interface `JRBox`

### getOwnBorder

    public java.lang.Byte getOwnBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBorder` in interface `JRBox`

### setBorder

    public void setBorder(byte border)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBorder` in interface `JRBox`

### setBorder

    public void setBorder(java.lang.Byte border)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBorder` in interface `JRBox`

### getBorderColor

    public java.awt.Color getBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBorderColor` in interface `JRBox`

### getOwnBorderColor

    public java.awt.Color getOwnBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBorderColor` in interface `JRBox`

### setBorderColor

    public void setBorderColor(java.awt.Color borderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBorderColor` in interface `JRBox`

### getPadding

    public int getPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getPadding` in interface `JRBox`

### getOwnPadding

    public java.lang.Integer getOwnPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnPadding` in interface `JRBox`

### setPadding

    public void setPadding(int padding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setPadding` in interface `JRBox`

### setPadding

    public void setPadding(java.lang.Integer padding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setPadding` in interface `JRBox`

### getTopBorder

    public byte getTopBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getTopBorder` in interface `JRBox`

### getOwnTopBorder

    public java.lang.Byte getOwnTopBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnTopBorder` in interface `JRBox`

### setTopBorder

    public void setTopBorder(byte topBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopBorder` in interface `JRBox`

### setTopBorder

    public void setTopBorder(java.lang.Byte topBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopBorder` in interface `JRBox`

### getTopBorderColor

    public java.awt.Color getTopBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getTopBorderColor` in interface `JRBox`

### getOwnTopBorderColor

    public java.awt.Color getOwnTopBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnTopBorderColor` in interface `JRBox`

### setTopBorderColor

    public void setTopBorderColor(java.awt.Color topBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopBorderColor` in interface `JRBox`

### getTopPadding

    public int getTopPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getTopPadding` in interface `JRBox`

### getOwnTopPadding

    public java.lang.Integer getOwnTopPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnTopPadding` in interface `JRBox`

### setTopPadding

    public void setTopPadding(int topPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopPadding` in interface `JRBox`

### setTopPadding

    public void setTopPadding(java.lang.Integer topPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopPadding` in interface `JRBox`

### getLeftBorder

    public byte getLeftBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getLeftBorder` in interface `JRBox`

### getOwnLeftBorder

    public java.lang.Byte getOwnLeftBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnLeftBorder` in interface `JRBox`

### setLeftBorder

    public void setLeftBorder(byte leftBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftBorder` in interface `JRBox`

### setLeftBorder

    public void setLeftBorder(java.lang.Byte leftBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftBorder` in interface `JRBox`

### getLeftBorderColor

    public java.awt.Color getLeftBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getLeftBorderColor` in interface `JRBox`

### getOwnLeftBorderColor

    public java.awt.Color getOwnLeftBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnLeftBorderColor` in interface `JRBox`

### setLeftBorderColor

    public void setLeftBorderColor(java.awt.Color leftBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftBorderColor` in interface `JRBox`

### getLeftPadding

    public int getLeftPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getLeftPadding` in interface `JRBox`

### getOwnLeftPadding

    public java.lang.Integer getOwnLeftPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnLeftPadding` in interface `JRBox`

### setLeftPadding

    public void setLeftPadding(int leftPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftPadding` in interface `JRBox`

### setLeftPadding

    public void setLeftPadding(java.lang.Integer leftPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftPadding` in interface `JRBox`

### getBottomBorder

    public byte getBottomBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBottomBorder` in interface `JRBox`

### getOwnBottomBorder

    public java.lang.Byte getOwnBottomBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBottomBorder` in interface `JRBox`

### setBottomBorder

    public void setBottomBorder(byte bottomBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomBorder` in interface `JRBox`

### setBottomBorder

    public void setBottomBorder(java.lang.Byte bottomBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomBorder` in interface `JRBox`

### getBottomBorderColor

    public java.awt.Color getBottomBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBottomBorderColor` in interface `JRBox`

### getOwnBottomBorderColor

    public java.awt.Color getOwnBottomBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBottomBorderColor` in interface `JRBox`

### setBottomBorderColor

    public void setBottomBorderColor(java.awt.Color bottomBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomBorderColor` in interface `JRBox`

### getBottomPadding

    public int getBottomPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBottomPadding` in interface `JRBox`

### getOwnBottomPadding

    public java.lang.Integer getOwnBottomPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBottomPadding` in interface `JRBox`

### setBottomPadding

    public void setBottomPadding(int bottomPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomPadding` in interface `JRBox`

### setBottomPadding

    public void setBottomPadding(java.lang.Integer bottomPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomPadding` in interface `JRBox`

### getRightBorder

    public byte getRightBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getRightBorder` in interface `JRBox`

### getOwnRightBorder

    public java.lang.Byte getOwnRightBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnRightBorder` in interface `JRBox`

### setRightBorder

    public void setRightBorder(byte rightBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightBorder` in interface `JRBox`

### setRightBorder

    public void setRightBorder(java.lang.Byte rightBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightBorder` in interface `JRBox`

### getRightBorderColor

    public java.awt.Color getRightBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getRightBorderColor` in interface `JRBox`

### getOwnRightBorderColor

    public java.awt.Color getOwnRightBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnRightBorderColor` in interface `JRBox`

### setRightBorderColor

    public void setRightBorderColor(java.awt.Color rightBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightBorderColor` in interface `JRBox`

### getRightPadding

    public int getRightPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getRightPadding` in interface `JRBox`

### getOwnRightPadding

    public java.lang.Integer getOwnRightPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnRightPadding` in interface `JRBox`

### setRightPadding

    public void setRightPadding(int rightPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightPadding` in interface `JRBox`

### setRightPadding

    public void setRightPadding(java.lang.Integer rightPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightPadding` in interface `JRBox`

### getLinkType

    public java.lang.String getLinkType()

  Description copied from interface: `JRHyperlink`
  Returns the hyperlink type.

  The type can be one of the built-in types (Reference, LocalAnchor, LocalPage, RemoteAnchor, RemotePage), or can be an arbitrary type.

  Specified by:
    `getLinkType` in interface `JRHyperlink`
  Returns:
    the hyperlink type

### setLinkType

    public void setLinkType(java.lang.String type)

  Sets the hyperlink type.

  The type can be one of the built-in types (Reference, LocalAnchor, LocalPage, RemoteAnchor, RemotePage), or can be an arbitrary type.

  Parameters:
    `type` - the hyperlink type

### getLinkTarget

    public java.lang.String getLinkTarget()

  Description copied from interface: `JRHyperlink`
  Returns the hyperlink target name.

  The type can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

  Specified by:
    `getLinkTarget` in interface `JRHyperlink`
  Returns:
    the hyperlink target name

### setLinkTarget

    public void setLinkTarget(java.lang.String target)

  Sets the hyperlink target.

  The target can be one of the built-in target names (Self, Blank, Top, Parent), or can be an arbitrary target name.

  Parameters:
    `target` - the hyperlink target

### getHyperlinkParameters

    public JRHyperlinkParameter[] getHyperlinkParameters()

  Description copied from interface: `JRHyperlink`
  Returns the list of hyperlink parameters.

  The parameters can be used by custom hyperlink types to generate dynamic links.

  Specified by:
    `getHyperlinkParameters` in interface `JRHyperlink`
  Returns:
    the list of hyperlink parameters

### getHyperlinkParametersList

    public java.util.List getHyperlinkParametersList()

  Returns the list of custom hyperlink parameters.

  Returns:
    the list of custom hyperlink parameters

### addHyperlinkParameter

    public void addHyperlinkParameter(JRHyperlinkParameter parameter)

  Adds a custom hyperlink parameter.

  Parameters:
    `parameter` - the parameter to add

### removeHyperlinkParameter

    public void removeHyperlinkParameter(JRHyperlinkParameter parameter)

  Removes a custom hyperlink parameter.

  Parameters:
    `parameter` - the parameter to remove

### removeHyperlinkParameter

    public void removeHyperlinkParameter(java.lang.String parameterName)

  Removes a custom hyperlink parameter.

  If multiple parameters having the specified name exist, all of them will be removed

  Parameters:
    `parameterName` - the parameter name

### getHyperlinkTooltipExpression

    public JRExpression getHyperlinkTooltipExpression()

  Description copied from interface: `JRHyperlink`
  Returns the expression which will generate the hyperlink tooltip.

  Specified by:
    `getHyperlinkTooltipExpression` in interface `JRHyperlink`
  Returns:
    the expression which will generate the hyperlink tooltip

### setHyperlinkTooltipExpression

    public void setHyperlinkTooltipExpression(JRExpression hyperlinkTooltipExpression)

  Sets the expression which will be used to generate the hyperlink tooltip.

  Parameters:
    `hyperlinkTooltipExpression` - the expression which will be used to generate the hyperlink tooltip
  See Also:
    `getHyperlinkTooltipExpression()`

### getDefaultLineColor

    public java.awt.Color getDefaultLineColor()

  Specified by:
    `getDefaultLineColor` in interface `JRBoxContainer`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `JRBaseElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com